@function calculateWidth($column-width, $gap-width, $column-count, $gap-count: 1) {
  @return calc(#{$column-width} * #{$column-count} + #{$gap-width} * #{$gap-count});
}

@function calculateRatio($base-width, $full-width, $base) {
  @return calc(#{$base-width} / #{$full-width} * #{$base});
}

@function calculateGap($grid-width, $column-width, $column-count, $gap-count) {
  @return calc((#{$grid-width} - (#{$column-width} * #{$column-count})) / #{$gap-count});
}
